(function($) {
	function resetTemplateListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.delete_template'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function sendMailListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.send_mail_manually'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function resendMailListener(_event) {
		_event.preventDefault();

		var confirm = SG.lang.SgMail['backend.send_mail_again'];
		if (window.confirm(confirm)) {
			window.location = $(_event.currentTarget).attr('href');
		}
	}

	function toggleMailBody(_event) {
		var uid = $(_event.currentTarget).data('uid');
		$('#toggle-' + uid).detach().appendTo('body').modal('show');
	}

	$(document).ready(function() {
		$('.reset-btn').on('click', resetTemplateListener);
		$('.btn-send-now').on('click', sendMailListener);
		$('.btn-resend').on('click', resendMailListener);
		$('.btn-toggle').on('click', toggleMailBody);
		$('#filter-reset-btn').on('click', function(event) {
			event.preventDefault();
			this.form.reset();
			$(this).closest('form').find('select').each(function() {
				this.selectedIndex = 0;
			});

			this.form.submit();
		});
	});
})
(TYPO3.jQuery);

// functions for backend docheader functionality
function jumpExt(URL, anchor) {    //
	var anc = anchor ? anchor : "";
	window.location.href = URL + (T3_THIS_LOCATION ? "&returnUrl=" + T3_THIS_LOCATION : "") + anc;
	return false;
}

function jumpSelf(URL) {    //
	window.location.href = URL + (T3_RETURN_URL ? "&returnUrl=" + T3_RETURN_URL : "");
	return false;
}

function jumpToUrl(URL) {
	window.location.href = URL;
	return false;
}

function setHighlight(id) {    //
	top.fsMod.recentIds["web"] = id;
	top.fsMod.navFrameHighlightedID["web"] = "pages" + id + "_" + top.fsMod.currentBank;    // For highlighting
	if (top.content && top.content.nav_frame && top.content.nav_frame.refresh_nav) {
		top.content.nav_frame.refresh_nav();
	}
}

/**
 * Switches to the spefied page in the BE
 *
 * @param {number} uid
 */
function sgMailGoToPage(uid) {
	top.nav.invokePageId(uid, gotToPageCallback);
}

/**
 * Callback for page selection in the pagetree
 *
 * @param {number} uid
 */
function gotToPageCallback(path) {
	var callback = top.Ext.createDelegate(top.nav.mainTree.selectPath, top.nav.mainTree);
	callback.apply(this, arguments);
	var node = top.nav.getSelected();
	if (node) {
		top.TYPO3.Components.PageTree.Actions.singleClick(node, top.TYPO3.Components.PageTree.Tree);
	}
}
